<?php
	function ak_wypdate()
	{
	//Dzien tygodnia
	date_default_timezone_set('Europe/Warsaw');
	$dow = date("w");
		switch($dow){
			case 0 : $dt = "Niedziela";break;
			case 1 : $dt = "Poniedziałek";break;
			case 2 : $dt = "Wtorek";break;
			case 3 : $dt = "Środa";break;
			case 4 : $dt = "Czwartek";break;
			case 5 : $dt = "Piątek";break;
			case 6 : $dt = "Sobota";break;
		}
		
	//Miesiac
	$miesiac = date('m');
		switch ($miesiac)
		{
		case 1 : $miesiac = "Styczeń";break;
		case 2 : $miesiac = "Luty";break;
		case 3 : $miesiac = "Marzec";break;
		case 4 : $miesiac = "Kwiecień";break;
		case 5 : $miesiac = "Maj";break;
		case 6 : $miesiac = "Czerwiec";break;
		case 7 : $miesiac = "Lipiec";break;
		case 8 : $miesiac = "Sierpień";break;
		case 9 : $miesiac = "Wrzesień";break;
		case 10 : $miesiac = "Październik";break;
		case 11 : $miesiac = "Listopad";break;
		case 12 : $miesiac = "Grudzień";break;
		}

		echo '<div style="margin: 3px auto 0px auto; text-align: center; ">';
		echo '<b style="color: #FF0; font-size: 24px; font-family: Verdana, Arial, Helvetica, sans-serif; ">';
		echo $miesiac.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.date('Y');
		echo '</b></div>';
		
		//******************************************************
		//WSCHOD I ZACHOD SLONCA		
		echo '<div style="height: 38px; margin: 3px auto 0px auto; font-family: \'Calibri\' sans-serif; font-size: 18px; color: #FA4; text-align: center">';
		
		echo '<div style="box-shadow: 6px 4px 5px rgba(0, 0, 80, 0.6); border: 2px ridge #00B; float: left; width: 180px; margin: 5px 0px 0px 6px; padding: 3px 0">';
		echo '<b>Wschód słońca:&nbsp;&nbsp;</b>'.ak_wschod();
		echo '</div>';
		
		echo '<div style="box-shadow: 6px 4px 5px rgba(0, 0, 80, 0.6); border: 2px ridge #00A; float: right; width: 180px; margin: 5px 5px 0px 0; padding: 3px 0">';
		echo '<b>Zachód słońca:&nbsp;&nbsp;</b>'.ak_zachod();
		echo '</div>';
		echo '</div>';
		//******************************************************
		
		
		//******************************************************
		//DZIEN ROKU I ZNAK ZODIAKU
		$dr = date("z");
		$dr+=1;
		echo '<div style="height: 35px; margin: 0px auto 2px auto; font-family: \'Calibri\' sans-serif; font-size: 18px; text-align: center">';
		
		echo '<div style="box-shadow: 6px 4px 5px rgba(0, 0, 80, 0.6); border: 2px ridge #00A; float: left; width: 180px; margin: 2px 0px 0px 5px; padding: 3px 0">';
		echo '<b>Dzień roku: </b>'.$dr;
		echo '</div>';
		
		echo '<div style="box-shadow: 6px 4px 5px rgba(0, 0, 80, 0.6); border: 2px ridge #00A; float: right; width: 180px; margin: 2px 5px 0px 0; padding: 3px 0">';
		echo '<b>Zodiak: </b>'.ak_zodiak();
		echo '</div>';
		echo '</div>';
		//******************************************************
		
		
		//******************************************************
		//DZIEN
		$dr = date("d");
		echo '<div style="margin: -45px auto 2px auto; text-align: center; font-family: \'Comic Sans\'; font-size: 60px">';
		echo $dr;
		echo '</div>';
		echo '<div style="clear: both; margin: 0px auto 2px auto; text-align: center; font-size: 28px; font-family: \'Comic Sans\';">';
		echo $dt;
		echo '</div>';
		//******************************************************
		
	}

//FUNKCJA OBLICZAJACA ZNAK ZODIAKU	
	function ak_zodiak()
{
	$zodiak="";
	date_default_timezone_set('Europe/Warsaw');
	$data_ur[0]=date('d');
	$data_ur[1]=date('m');
	
	if(($data_ur[1]==8 && $data_ur[0]>=23) || ($data_ur[1]==9 && $data_ur[0]<=22)) $zodiak="Panna"; 
	if(($data_ur[1]==9 && $data_ur[0]>=23) || ($data_ur[1]==10 && $data_ur[0]<=22)) $zodiak="Waga"; 
	if(($data_ur[1]==10 && $data_ur[0]>=23) || ($data_ur[1]==11 && $data_ur[0]<=21)) $zodiak="Skorpion"; 
	if(($data_ur[1]==11 && $data_ur[0]>=22) || ($data_ur[1]==12 && $data_ur[0]<=21)) $zodiak="Strzelec"; 
	if(($data_ur[1]==12 && $data_ur[0]>=22) || ($data_ur[1]==1 && $data_ur[0]<=19)) $zodiak="Koziorożec"; 
	if(($data_ur[1]==1 && $data_ur[0]>=20) || ($data_ur[1]==2 && $data_ur[0]<=18)) $zodiak="Wodnik"; 
	if(($data_ur[1]==2 && $data_ur[0]>=19) || ($data_ur[1]==3 && $data_ur[0]<=20)) $zodiak="Ryby"; 
	if(($data_ur[1]==3 && $data_ur[0]>=21) || ($data_ur[1]==4 && $data_ur[0]<=19)) $zodiak="Baran"; 
	if(($data_ur[1]==4 && $data_ur[0]>=20) || ($data_ur[1]==5 && $data_ur[0]<=20)) $zodiak="Byk"; 
	if(($data_ur[1]==5 && $data_ur[0]>=21) || ($data_ur[1]==6 && $data_ur[0]<=20)) $zodiak="Bliźnięta"; 
	if(($data_ur[1]==6 && $data_ur[0]>=21) || ($data_ur[1]==7 && $data_ur[0]<=22)) $zodiak="Rak"; 
	if(($data_ur[1]==7 && $data_ur[0]>=23) || ($data_ur[1]==8 && $data_ur[0]<=22)) $zodiak="Lew";
	return $zodiak;
}

//FUNKCJA OBLICZAJACA WSCHOD SLONCA	
	function ak_wschod()
{
	$Req = -0.833;
	$Lat = 52.2298; 
	$Long = 21.0118;  
	$cw = date_sunrise(time(), SUNFUNCS_RET_STRING, $Lat, $Long, 90.5, 1);	
	return $cw;
}

//FUNKCJA OBLICZAJACA ZACHOD SLONCA	
	function ak_zachod()
{
	$Req = -0.833;
	$Lat = 52.2298; 
	$Long = 21.0118;  
	$cz = date_sunset(time(), SUNFUNCS_RET_STRING, $Lat, $Long, 90, 1);
	return $cz;
}

?>